VST 3 Examples: TestSuite Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Public Member Functions | Protected Types | Protected Attributes | List of all members
TestSuite Class Reference

`#include <testsuite.h>`

Inheritance diagram for TestSuite:

## Classes
class | Test

## Public Member Functions
| TestSuite (FIDString _name)
tresult | addTest (FIDString _name, ITest *test) SMTG_OVERRIDE
tresult | addTestSuite (FIDString _name, ITestSuite *testSuite) SMTG_OVERRIDE
tresult | setEnvironment (ITest *) SMTG_OVERRIDE
int32 | getTestCount () const
tresult | getTest (int32 index, ITest *&_test, std::string &_name) const
tresult | getTestSuite (int32 index, ITestSuite *&testSuite, std::string &_name) const
ITestSuite * | getTestSuite (FIDString _name) const
const std::string & | getName () const
| OBJ_METHODS (TestSuite, FObject) REFCOUNT_METHODS(FObject) DEF_INTERFACES_1(ITestSuite

## Protected Types
using | TestSuitePair = std::pair< std::string, IPtr< ITestSuite >>
using | TestSuiteVector = std::vector< TestSuitePair >

## Protected Attributes
std::string | name
std::vector< IPtr< Test > > | tests
TestSuiteVector | testSuites

## Additional Inherited Members
Static Public Attributes inherited from ITestSuite
static const FUID | iid

## Member Typedef Documentation

using TestSuitePair = std::pair<std::string, IPtr<ITestSuite>>
| protected

using TestSuiteVector = std::vector<TestSuitePair>
| protected

## Constructor & Destructor Documentation

TestSuite | ( | FIDString | _name | ) |
| inline

## Member Function Documentation

tresult addTest | ( | FIDString | _name,
|  | ITest * | test
| ) |  |
| inlinevirtual

Implements ITestSuite.

tresult addTestSuite | ( | FIDString | _name,
|  | ITestSuite * | testSuite
| ) |  |
| inlinevirtual

Implements ITestSuite.

tresult setEnvironment | ( | ITest * |  | ) |
| inlinevirtual

Implements ITestSuite.

int32 getTestCount | ( |  | ) | const
| inline

tresult getTest | ( | int32 | index,
|  | ITest *& | _test,
|  | std::string & | _name
| ) |  | const
| inline

tresult getTestSuite | ( | int32 | index,
|  | ITestSuite *& | testSuite,
|  | std::string & | _name
| ) |  | const
| inline

ITestSuite* getTestSuite | ( | FIDString | _name | ) | const
| inline

const std::string& getName | ( |  | ) | const
| inline

OBJ_METHODS | ( | TestSuite | ,
|  | FObject |
| ) |  |

## Member Data Documentation

std::string name
| protected

std::vector<IPtr<Test> > tests
| protected

TestSuiteVector testSuites
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.